# Function Action

Action is a round-shaped button or a link, usually used at headers/toolbars.

Its label is displayed below the circular shape.

- Action(
  props: ActionProps & RefAttributes<
  HTMLAnchorElement
  | HTMLButtonElement,
  >,
  ): ReactNode

- #### Parameters

  - props: ActionProps & RefAttributes<HTMLAnchorElement | HTMLButtonElement>

  #### Returns ReactNode

  - Defined in src/components/ui/action/Action.tsx:75

#####
Index

### Properties

$$typeof
defaultProps?
displayName?
propTypes?

##
Properties

### `Readonly`$$typeof

$$typeof: symbol

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:644

### `Optional` defaultProps

defaultProps?: Partial<
(Props & RefAttributes<HTMLAnchorElement | HTMLButtonElement>),
>

#### Deprecated

Use values for destructuring assignments instead.

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1582

### `Optional` displayName

displayName?: string

Used in debugging messages. You might want to set it explicitly if you want to display a different name for debugging purposes.

#### See

Legacy React Docs

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:660

### `Optional` propTypes

propTypes?: WeakValidationMap<
(Props & RefAttributes<HTMLAnchorElement | HTMLButtonElement>),
>

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1583